Bug 1417058 - [abrt] cinnamon-screensaver: stage.py:517:cancel_unlocking:AttributeError: 'NoneType' object has no attribute 'cancel_auth_client'
Summary: [abrt] cinnamon-screensaver: stage.py:517:cancel_unlocking:AttributeError: 'N...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cinnamon-screensaver
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: leigh scott
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:9f18dca8c9111485b7abf5c25a5...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-27 06:58 UTC by ingo
Modified: 2017-03-01 01:20 UTC (History)
3 users (show)

Fixed In Version: cinnamon-screensaver-3.2.14-0.2.20170124git5561f3c.fc25 cinnamon-screensaver-3.2.14-0.2.20170124git5561f3c.fc24
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-28 08:49:33 UTC


Attachments (Terms of Use)
File: backtrace (746 bytes, text/plain)
2017-01-27 06:58 UTC, ingo
no flags Details
File: environ (1.48 KB, text/plain)
2017-01-27 06:58 UTC, ingo
no flags Details

Description ingo 2017-01-27 06:58:22 UTC
Version-Release number of selected component:
cinnamon-screensaver-3.2.13-2.fc25

Additional info:
reporter:       libreport-2.8.0
cmdline:        cinnamon-screensaver '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' '' ''
executable:     /usr/share/cinnamon-screensaver/cinnamon-screensaver-main.py
kernel:         4.9.5-200.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           Python3
uid:            1000

Truncated backtrace:
stage.py:517:cancel_unlocking:AttributeError: 'NoneType' object has no attribute 'cancel_auth_client'

Traceback (most recent call last):
  File "/usr/share/cinnamon-screensaver/manager.py", line 325, in on_session_idle_changed
    self.despawn_stage(c.STAGE_IDLE_CANCEL_SPAWN_TRANSITION, self.on_despawn_stage_complete)
  File "/usr/share/cinnamon-screensaver/manager.py", line 177, in despawn_stage
    self.stage.cancel_unlocking()
  File "/usr/share/cinnamon-screensaver/stage.py", line 517, in cancel_unlocking
    self.unlock_dialog.cancel_auth_client()
AttributeError: 'NoneType' object has no attribute 'cancel_auth_client'

Local variables in innermost frame:
self: <stage.Stage object at 0x7ff6f8e28168 (stage+Stage at 0x5592e0042530)>

Comment 1 ingo 2017-01-27 06:58:26 UTC
Created attachment 1245021 [details]
File: backtrace

Comment 2 ingo 2017-01-27 06:58:27 UTC
Created attachment 1245022 [details]
File: environ

Comment 3 leigh scott 2017-01-27 08:22:40 UTC
Don't mark your bug private as I don't bother fixing them, this is because I can't forward them upstream!

Comment 4 Fedora Update System 2017-02-20 11:23:34 UTC
cinnamon-screensaver-3.2.14-0.2.20170124git5561f3c.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-855ed02f31

Comment 5 Fedora Update System 2017-02-20 11:24:47 UTC
cinnamon-screensaver-3.2.14-0.2.20170124git5561f3c.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-cfb76d98fc

Comment 6 Fedora Update System 2017-02-20 20:23:47 UTC
cinnamon-screensaver-3.2.14-0.2.20170124git5561f3c.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-cfb76d98fc

Comment 7 Fedora Update System 2017-02-20 21:22:45 UTC
cinnamon-screensaver-3.2.14-0.2.20170124git5561f3c.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-855ed02f31

Comment 8 Fedora Update System 2017-02-28 08:49:33 UTC
cinnamon-screensaver-3.2.14-0.2.20170124git5561f3c.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2017-03-01 01:20:33 UTC
cinnamon-screensaver-3.2.14-0.2.20170124git5561f3c.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.